## Index

### Interfaces

- BinaryAttribute
- BinarySetAttribute
- BooleanAttribute
- ListAttribute
- MapAttribute
- NullAttribute
- NumberAttribute
- NumberSetAttribute
- StringAttribute
- StringSetAttribute

### Type aliases

- Attribute
- Attributes

## Type aliases

### Attribute

Attribute: StringAttribute | NumberAttribute | BinaryAttribute | StringSetAttribute | NumberSetAttribute | BinarySetAttribute | MapAttribute | ListAttribute | NullAttribute | BooleanAttribute

- Defined in mapper/type/attribute.type.ts:1

### Attributes

Attributes: object

- Defined in mapper/type/attribute.type.ts:18

the key is either a key of the object T or any string to support for custom property names @Property({name: 'myOtherName'}) and the value is one of Attribute (we can't narrow the type of Attribute)

#### Type declaration

Generated using TypeDoc